﻿using System;
using System.CodeDom;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ListDataSource
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void addDataToolStripMenuItem_Click(object sender, EventArgs e)
        {
            var conn = @"provider=microsoft.jet.oledb.4.0;data source=..\\..\\sample.mdb;";
            var rs = $"Select * from [Customers]";
            var da = new OleDbDataAdapter(rs, conn);
            var ds = new DataSet();
            da.Fill(ds, "Products");

            c1List1.DataSource = ds;
            c1List1.DataMember = "Products";

            c1List1.Splits[0].DisplayColumns[0].Visible = false;
            c1List1.Splits[0].DisplayColumns[4].Visible = false;
            c1List1.Splits[0].DisplayColumns[8].Visible = false;
            c1List1.Splits[0].DisplayColumns[1].Width = 70;
            c1List1.Splits[0].DisplayColumns[2].Width = 80;

            c1List1.ColumnHeaders = false;

            c1List1.Splits[0].HeadingStyle.BackColor = Color.Black;
            c1List1.CaptionStyle.BackColor = Color.Black;
            c1List1.CaptionStyle.ForeColor = Color.Yellow;
            c1List1.Splits[0].HeadingStyle.ForeColor = Color.Yellow;
            c1List1.AlternatingRows = true;
            c1List1.Splits[0].EvenRowStyle.BackColor = Color.Beige;
        }

        private void addDataToDataSourceToolStripMenuItem_Click(object sender, EventArgs e)
        {
            var conn = new OleDbConnection(@"provider=microsoft.jet.oledb.4.0;data source=..\..\sample.mdb;");
            var cmd = new OleDbCommand($"Insert into Customers (CustomerID, CompanyName) values ('NEWCS', 'New Customer')", conn);
            try
            {
                conn.Open();
                cmd.ExecuteNonQuery();
            }
            catch(Exception ex)
            {
                MessageBox.Show(ex.Message + Environment.NewLine + ex.StackTrace);
            }
            finally { conn.Close(); }
        }
    }
}
